/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class PreviewDetailsPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Tools";
        public override string UIResName => "PreviewDetailsPanel";

        [AutoFind(Name = "title")]
        public GComponent title;
        [AutoFind(Name = "modelBack")]
        public GImage modelBack;
        [AutoFind(Name = "Model")]
        public ModelViewer Model;
        [AutoFind(Name = "Quality")]
        public GImage Quality;
        [AutoFind(Name = "Basic")]
        public ItemBasicInfoTag Basic;
        [AutoFind(Name = "BtnSaveIcon")]
        public GButton BtnSaveIcon;
        [AutoFind(Name = "BtnReSet")]
        public GButton BtnReSet;
        [AutoFind(Name = "BtnSaveSetting")]
        public GButton BtnSaveSetting;
        public override string[] GetDependPackages(){ return new string[] {"Common","Main"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<PreviewDetailsPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<PreviewDetailsPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<PreviewDetailsPanel>(); }

    }
}